package com.yunfeiyun.agmp.common.framework.config.properties;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

import java.util.List;

@Configuration
@ConfigurationProperties(prefix = "policy")
public class RouterProperties {

    public queue queue;


    public RouterProperties.queue getQueue() {
        return queue;
    }


    public void setQueue(RouterProperties.queue queue) {
        this.queue = queue;
    }

    public static  class queue{
        public boolean ackEnabled;
        private List<String> consumeRouter;
        private List<String> productRouter;

        public List<String> getConsumeRouter() {
            return consumeRouter;
        }
        public void setConsumeRouter(List<String> consumeRouter) {
            this.consumeRouter = consumeRouter;
        }


        public List<String> getProductRouter() {
            return productRouter;
        }
        public void setProductRouter(List<String> productRouter) {
            this.productRouter = productRouter;
        }


        public boolean isAckEnabled() {
            return ackEnabled;
        }

        public void setAckEnabled(boolean ackEnabled) {
            this.ackEnabled = ackEnabled;
        }
    }



}
